Subject: [Ntp] I-D Action: draft-ietf-ntp-chronos-01.txt

From: [email-masked]
Date: Thu, 03 Sep 2020 00:46:40 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Time Protocol WG of the IETF.

        Title           : A Secure Selection and Filtering Mechanism for the Network Time Protocol Version 4
        Authors         : Neta Rozen-Schiff
                          Danny Dolev
                          Tal Mizrahi
                          Michael Schapira
	Filename        : draft-ietf-ntp-chronos-01.txt
	Pages           : 11
	Date            : 2020-09-03

Abstract:
   The Network Time Protocol version 4 (NTPv4), as defined in RFC 5905,
   is the mechanism used by NTP clients to synchronize with NTP servers
   across the Internet.  This document specifies an extension to the
   NTPv4 client, named Chronos, which is used as a "watchdog" alongside
   NTPv4, and provides improved security against time shifting attacks.
   Chronos involves changes to the NTP client's system process only and
   is backwards compatible with NTPv4 servers.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ntp-chronos/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-ntp-chronos-01
https://datatracker.ietf.org/doc/html/draft-ietf-ntp-chronos-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ntp-chronos-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Neta R S <[email-masked]>
Date: Thu, 3 Sep 2020 11:11:38 +0300

Dear all,

We updated Chronos' draft in order to avoid expiration.
This version was presented in the last working group meeting about a
month ago, as it is similar to version 00.

The current approach considers Chronos as a watchdog, which
periodically monitors the NTP clock and only when a suspected attack
is detected does the Chronos algorithm take over, replacing the NTP
selection and combining algorithms.

We believe this approach resolves the concerns that were raised about
the potentially low precision of previous versions of Chronos.

We would highly appreciate feedback about the current version of Chronos,
and we invite members to join us and assist with the implementation.

Best regards,
On behalf of the Chronos authors.

On Thu, Sep 3, 2020 at 10:46 AM <[email-masked]> wrote:

> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp
>

---

From: "Ulrich Windl" <[email-masked]>
Date: Thu, 03 Sep 2020 11:31:37 +0200

Hi!

A few random comments (on the HTML version):

Table 1: The "Meaning" column should not be centered. The descriptions for "Err" and "K" are very short (compared to the rest).

On "3": Instead of referring just to "Sections 10 and 11" the title of the sections could at least be mentioned. I guess nobody known by heart what these sections are about without openeing the RFC first...

On "3.1" Maybe explain what the outcome is, compared to that happening in NTP usually. More trustworthy error estimate? What can affect the result in a negative way?

On "3.2": "the third lowest-value samples": It reads like one sample (the thrid-lowest) is removed; did you mean you remove the lowest third of the samples? You use "2w" without explaining how w is determined.

All together section 3 is very abstact, and maybe could use some example numbers for illustration.

Section 4: Waht's the value of "K"? On "S": How is a sample oth tens servers stored in a single variable? Likewise "T".

It seems S and T are arrays. Maybe add a data type for variables, even for pseudo-code.

In summary, the draft reads very much like an "idea" (like the typical American patent request), but not at all like a specification.

Regards,
Ulrich Windl

>>> Neta R S <[email-masked]> schrieb am 03.09.2020 um 10:11 in Nachricht

---

From: Neta R S <[email-masked]>
Date: Wed, 9 Sep 2020 10:44:19 +0300

Hi Ulrich,

Sorry for the late response, thanks for your comments!
Please see my reply inline.

On Thu, Sep 3, 2020 at 12:31 PM Ulrich Windl <
[email-masked]> wrote:

> Table 1: The "Meaning" column should not be centered. The descriptions for
> "Err" and "K" are very short (compared to the rest).

I update the table accordingly for the next draft.

On "3": Instead of referring just to "Sections 10 and 11" the title of the
> sections could at least be mentioned. I guess nobody known by heart what
> these sections are about without openeing the RFC first...
>
I guess you mean sections 9,10, I updated and emphasized these are "Peer
Process" and "Clock Filter Algorithm", for the next draft.

>
> On "3.1" Maybe explain what the outcome is, compared to that happening in
> NTP usually. More trustworthy error estimate? What can affect the result in
> a negative way?
>
Chronos effects are presented in section 5 "Precision vs. Security" and in
Section 6 "Chronos' Threat Model and Security Guarantees", I will add a
reference in Section 3 to these Sections.

>
> On "3.2": "the third lowest-value samples": It reads like one sample (the
> thrid-lowest) is removed; did you mean you remove the lowest third of the
> samples? You use "2w" without explaining how w is determined.
>
There is no section 3.2 in the latest daft, but, yes, we mean that we
remove the  lowest third of the samples, and I will update accordingly.

> numbers for illustration.
We will consider it for the next draft.

>
> Section 4: Waht's the value of "K"? On "S": How is a sample oth tens
> servers stored in a single variable? Likewise "T".
>
S,T  are arrays, not numbers, I will add a comment on that in the draft.
K according to the security analysis should be equal to 3. I'll add it.

> It seems S and T are arrays. Maybe add a data type for variables, even for
Will do.

>
>
> In summary, the draft reads very much like an "idea" (like the typical
> American patent request), but not at all like a specification.
>
Please note that many of your comments refer to an older draft.
In the updated draft there is more information (for example regarding
Chronos precision).
Link to Chronos latest draft: see
https://www.ietf.org/id/draft-ietf-ntp-chronos-01.txt.
Moreover, we are currently working on implementation, which at the end
should address this point.

> Best,
Neta